:root {
  /* ---------------- Text variables ---------------- */
  --font-family: "Karla", sans-serif;

  --font-weight-400: 400;
  --font-weight-500: 500;
  --font-weight-600: 600;
  --font-weight-700: 700;
  --font-weight-800: 800;

  --step--2: clamp(0.79rem, calc(0.72rem + 0.33vw), 0.96rem);
  --step--1: clamp(0.89rem, calc(0.77rem + 0.61vw), 1.2rem);
  --step-0: clamp(1rem, calc(0.8rem + 0.98vw), 1.5rem);
  --step-1: clamp(1.13rem, calc(0.83rem + 1.46vw), 1.88rem);
  --step-2: clamp(1.27rem, calc(0.84rem + 2.1vw), 2.34rem);
  --step-3: clamp(1.42rem, calc(0.84rem + 2.94vw), 2.93rem);
  --step-4: clamp(1.6rem, calc(0.8rem + 4.02vw), 3.66rem);
  --step-5: clamp(1.8rem, calc(0.72rem + 6.42vw), 4.58rem);

  --font-size-body: var(--step-0);
  --font-size-body-S: var(--step--1);
  --font-size-body-XS: var(--step--2);
  --font-size-H1: var(--step-5);
  --font-size-H2: var(--step-4);
  --font-size-H3: var(--step-3);
  --font-size-H4: var(--step-2);
  --font-size-H5: var(--step-1);
  --font-size-H6: var(--step-6);

  /* ---------------- Color variables ---------------- */
  --accent-clr: #d8854f;
  --primary-clr: #f8f4ef;
  --secondary-clr: #f6bb86;
  --light-clr: #ffffff;
  --dark-clr: #002027;

  /* ---------------- Shadows ---------------- */
  --box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.1);
}

/* ---------------- CSS RESET ---------------- */
*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
  padding: 0;
  font: inherit;
}

html,
body {
  height: 100%;
  background-color: var(--primary-clr);
  padding: 1em;
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
  font-family: var(--font-family);
  padding-inline: 1rem;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

a {
  text-decoration: none;
}

h1,
h2,
h3 {
  color: inherit;
  letter-spacing: -0.06em;
  margin-bottom: 0.25em;
}

/* ---------------- GLOBAL SETTINGS ---------------- */
h1 {
  font-weight: var(--font-weight-800);
  font-size: var(--font-size-H1);
  line-height: var(--font-size-H1);
}

h2 {
  font-weight: var(--font-weight-800);
  font-size: var(--font-size-H2);
}

h3 {
  font-weight: var(--font-weight-800);
  font-size: var(--font-size-H3);
}

h6 {
  font-weight: var(--font-weight-700);
  font-size: var(--font-size-H6);
  letter-spacing: 0;
}

p {
  font-size: var(--font-size-body);
  margin-bottom: 1em;
  max-width: 65ch;
}

p.small {
  font-size: var(--font-size-body-S);
  letter-spacing: 0;
}
p.xsmall {
  font-size: var(--font-size-body-XS);
  letter-spacing: 0;
}

.bold {
  font-weight: var(--font-weight-700);
  color: var(--accent-clr);
  margin-bottom: 0;
}

#wrapper {
  max-width: 1440px;
  margin: auto;
}

section {
  margin: 2em 0;
}

main {
  max-width: 1536px;
  display: flex;
  align-items: center;
  flex-direction: column;
}

button {
  display: flex;
  gap: 0.5em;
  align-items: center;
  background-color: var(--accent-clr);
  color: var(--light-clr);
  font-family: inherit;
  font-size: var(--font-size-body-XS);
  text-transform: uppercase;
  font-weight: var(--font-weight-800);
  border: none;
  outline: none;
  padding: 1em 2em;
  border-radius: 0.25em;
  cursor: pointer;
  line-height: 100%;
  transition: background-color 0.1s ease-in;
}

button:hover {
  background-color: #f049c1;
}

ul {
  list-style: none;
}

a {
  color: inherit;
}

.dark {
  background-color: var(--dark-clr);
  color: var(--light-clr);
}

input,
select, textarea {
  border: none;
  padding: 1.5em;
  font-weight: var(--font-weight-800);
  border-radius: 0.5em;
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.15);
}

input::-webkit-input-placeholder {
  color: var(--dark-clr);
}

input::-ms-input-placeholder {
  color: var(--dark-clr);
}

input:-ms-input-placeholder {
  color: var(--dark-clr);
}

select {
  -webkit-appearance: none;
  appearance: none;
  cursor: pointer;
}

form {
  display: flex;
  flex-direction: column;
}

form button {
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 2em;
  border-radius: 0.5em;
}

.icon {
  font-size: 0.5em;
  margin-left: 1em;
}

button .icon {
  font-size: 0.75em;
}

/* ---------------- HERO ---------------- */
#hero {
  background-color: var(--light-clr);
  display: grid;
  grid-template-columns: 1fr 0.75fr;
  border-radius: 1rem;
  overflow: hidden;
  box-shadow: var(--box-shadow);
  margin-top: 0;
  max-width: 1023px;
}

.hero__content-column {
  display: flex;
  align-items: center;
  padding: 4em 1em;
  overflow: hidden;
}

.hero__content {
  display: flex;
  flex-direction: column;
  max-width: 550px;
  margin: auto;
  gap: 1rem;
  font-weight: var(--font-weight-500);
}

.hero__image {
  background-image: url(assets/hero.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  max-height: 100%;
}

.posts {
  background-color: white;
  border-radius: 2%;
  padding: 3rem;
}


li {
  margin-bottom: 2rem;
}


.blog-title {
  color: var(--accent-clr);
  margin: 2em 0 4em 0;
}

.blog-new {
  display: flex;
}

.blog-new > button {
  background-color: var(--dark-clr);
  max-width: 240px;
  justify-self: center;
  align-self: end;
}


.modal-content p {
  align-self: start;
  padding: 1em;
}


.body {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2em;
    margin-bottom: 4em;
}

.feilds{
    display: flex;
    gap: 1em;
    width: 80%;
}

input, textarea {
 width: 80%
}

.body button {
width: 80%;
}